spring:
  #caffeine缓存
  # 缓存改为使用配置类
#  cache:
#    type: caffeine
#    caffeine:
#      spec: initialCapacity=50,maximumSize=500,expireAfterWrite=10s
#    cache-names: stationBySn,device,modelConfigList,pvPanel,realtimeCurve
  #禁止servlet懒加载
  mvc:
    servlet:
      load-on-startup: 1
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1024MB
#mybatis配置
mybatis:
  type-aliases-package: com.ho.business.entity
  mapper-locations: classpath:mapper/*.xml
  # 映射处理类
  type-handlers-package: com.ho.business.handler
  configuration:
    #驼峰
    mapUnderscoreToCamelCase: true

#Logging
logging:
  config: classpath:logback.xml
  level:
    com.ho.user.mapper: debug

#ribbon的超时时间
ribbon:
  ReadTimeout: 10000
  ConnectTimeout: 10000

#开放端点用于SpringBoot Admin的监控
management:
  endpoints:
    web:
      exposure:
        include: '*'

#水电气转换系数 todo 转换系数
energy:
  convertFactor:
    elec: 2
    water: 2
    gas: 2
  #二氧化碳到煤的转换系数
  co2ToCole: 0.4
  #二氧化碳到树的转化系数
  co2ToTree: 1800
  #二氧化碳到汽油的转化系数
  co2ToGasoline: 2.30
  #树到平方公里的转化系数
  treeToSquareKilometer: 40000

#对比电站下的采集点时间差值
station:
  timeDifference: 5


#告警配置
event:
  #当前告警查询的时间跨度 (天)
  currentMaxDay: -10
  #大屏最大告警条数
  bigScreenEventLimit: 200

#逆变器配置
inverter:
  #查询逆变器发电量的时间间隔 分钟
  timeInterval: 15
  co2Factor: 0.997

# 大屏配置
largeScreen:
  #收益系数
  income: 0.6
  weatherCode: 510105

  #线上环境redis密码
openRedis:
  host: 10.0.0.3
  port: 6379
  pass: HZNJ2025^03&24

  #183redis密码
openTestRedis:
  host: 192.168.1.183
  port: 6379
  pass: 123456
